Nimbu Developer Docs
ReferenceJobs

Schedule a cloud job

POST
/jobs/{id}

Schedules a registered cloud job for asynchronous execution and returns the background job identifier.

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

id*string

Job identifier

Header Parameters

X-Nimbu-Site*string

Site identifier

Request Body

application/json

Job payload

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/jobs/string" \  -H "X-Nimbu-Site: string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "jid": "string"
}
Empty
{
  "message": "string",
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}